Bug 46959 - PRINTING: Combination of Narrow Coloured Cell Border and Grid does not print correctly
Summary: PRINTING: Combination of Narrow Coloured Cell Border and Grid does not print ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: PDF-Export Print Grid-Helplines
  Show dependency treegraph
 
Reported: 2012-03-04 09:27 UTC by Jeff Evans
Modified: 2018-10-17 21:05 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeff Evans 2012-03-04 09:27:24 UTC
Spreadsheet saved in Excel XP format with coloured borders degraded to 0.3pt on some cells, and to be printed with grid; displays as expected on Print Preview, but borders print in black.

Steps to reproduce:
1. Create spreadsheet of 2 rows with light red border on bottom of first row 0.3pt wide
2. Go to "Print Preview"
3. Go to "Format Page" and on "Sheet" tab, tick the "Grid" box
4. Print sheet.

Current behavior:
Print Preview correctly displays red border where set, and rest of grid in black. When printed, red line comes out as black.

Expected behavior:
Print to look as Print Preview. Was not a problem with OO3.4 or MS Excel XP.

Platform (if different from the browser): 
              
Windows XP SP3, Konica-Minolta-QMS Magicolor 3100 printer
Comment 1 Michael Stahl (CIB) 2012-05-23 02:11:44 UTC
what evidently happens here is that the grid line
is drawn over the border line.

this is not new and happens in OOo 3.4beta and OOo 3.0.1 as well.

though it has become a little more damaging in that in OOo 3.4beta
PDF the non-overpainted part of a 0.3pt red border is still visible
while on LO 3.5.4 PDF it is almost completely covered by the grid line.
Comment 2 Jeff Evans 2012-05-23 05:10:08 UTC
(In reply to comment #1)
> what evidently happens here is that the grid line
> is drawn over the border line.
> this is not new and happens in OOo 3.4beta and OOo 3.0.1 as well.
> though it has become a little more damaging in that in OOo 3.4beta
> PDF the non-overpainted part of a 0.3pt red border is still visible
> while on LO 3.5.4 PDF it is almost completely covered by the grid line.

@Michael Stahl: are you saying this is not a bug /should not be fixed?

Looking closely at some old printouts, I see that what you say is true.

The problem became apparent with the degradation of borders in .xls format - see my bug 46960 and related. I also had to back out 3.5.3 due to bug 49582, which doesn't help the situation.

I believe the ideal would be to suppress the grid line where a (non-blank) border was specified for the cell or the relevant adjacent cell. Would this be feasible?
Comment 3 Michael Stahl (CIB) 2012-05-23 06:02:46 UTC
Jeff, of course i think this is a defect that must be fixed
(by not drawing the grid lines when there is a border, as you say)
but since it is a pre-existing problem it is not as high
in priority as the numerous regressions wrt. borders
that i'm currently looking at :)
Comment 4 Jeff Evans 2012-05-23 06:09:11 UTC
(In reply to comment #3)
> Jeff, of course i think this is a defect that must be fixed
> (by not drawing the grid lines when there is a border, as you say)
> but since it is a pre-existing problem it is not as high
> in priority as the numerous regressions wrt. borders
> that i'm currently looking at :)

OK. Many thanks to you and the team for all your efforts.
Comment 5 Markus Mohrhard 2012-05-23 10:35:25 UTC
Most  likely one for me. I think the cleanest solution is to skip grid lines for border cells or check why we draw grid lines after borders.

Normally in calc we should draw the grid lines between background and every other content.
Comment 6 Cédric Bosdonnat 2014-01-20 09:00:33 UTC
Restricted my LibreOffice hacking area
Comment 7 Joel Madero 2015-05-02 15:44:11 UTC Comment hidden (obsolete)
Comment 8 Buovjaga 2015-06-21 13:11:53 UTC
Confirmed the grid is going over the red, red still showing a bit.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 3ecef8cedb215e49237a11607197edc91639bfcd
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-19_23:16:58
Locale: fi-FI (fi_FI)
Comment 9 QA Administrators 2016-09-20 10:11:26 UTC Comment hidden (obsolete)
Comment 10 Thomas Lendo 2018-10-17 21:04:41 UTC
Still reproducible.

Version: 6.2.0.0.alpha0+
Build ID: d92319d2ffeaa65e31f923e0e9c7328b8d7c97bf
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: threaded
from today